cli is slow in development mode with dynamic bindings
Status: Closed   

Priority: Normal   

Assignee: Martin Bacovsky   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When using API with dynamic bindings in development mode, the client is slow. Every time the server is restarted it needs to load all

the controllers and documentation before first API request. It seems to be more comfortable to develeop with use_cache turned on

and run rake apipie:cache when it is necessary to refresh the cache.

Associated revisions

Revision c2c0f05b - 04/03/2014 10:34 PM - Martin Bacovsky

Fixes #4755 - use_cache in development

History

#1 - 03/20/2014 05:33 PM - Martin Bacovsky

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1313

#2 - 03/26/2014 12:57 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#3 - 04/03/2014 09:54 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#4 - 04/03/2014 11:31 PM - Martin Bacovsky

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c2c0f05b8b5e10f1ead0a6cc6766c3cc28d96ebc.
